import { Item } from './item'

export class AgedBrie extends Item {
  constructor(sell_in, quality) {
    super(sell_in, quality)
    this.name = 'Aged Brie'
  }

  updateQuality(item) {
    if (item.quality < 50) {
      item.quality = item.quality + 1
    }
  }
  updateQualityAfterExpired(item) {
    return
  }
  isAgedBire() {
    return true
  }
}
