export class Item {
  name
  sell_in
  quality

  constructor(name, sell_in, quality) {
    this.name = name
    this.sell_in = sell_in
    this.quality = quality
  }

  toString() {
    return `${this.name}, ${this.sell_in}, ${this.quality}`
  }

  passOneDay() {
    this.updateQuality()
    this.updateSellIn()
    this.updateQualityAfterExpired()
  }

  updateQuality() {
    if (this.quality > 0) {
      this.quality = this.quality - 1
    }
  }

  updateSellIn() {
    this.decreaseSellInOneDay()
  }

  updateQualityAfterExpired() {
    if (this.sell_in >= 0) {
      return
    }
    if (this.quality <= 0) {
      this.quality = 0
      return
    }
    this.quality = this.quality - 1
  }

  decreaseSellInOneDay() {
    this.sell_in = this.sell_in - 1
  }
}
